org.eclipse.rdf4j.query.parser.serql.ast

## Interface SyntaxTreeBuilderTreeConstants

- All Known Implementing Classes:
    SyntaxTreeBuilder

      public interface SyntaxTreeBuilderTreeConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JJTAND`
    `static int` | `JJTARGLIST`
    `static int` | `JJTBASICPATHEXPR`
    `static int` | `JJTBASICPATHEXPRTAIL`
    `static int` | `JJTBNODE`
    `static int` | `JJTBOOLEANCONSTANT`
    `static int` | `JJTBOUND`
    `static int` | `JJTCOMPARE`
    `static int` | `JJTCOMPAREALL`
    `static int` | `JJTCOMPAREANY`
    `static int` | `JJTCOMPOPERATOR`
    `static int` | `JJTCONSTRUCT`
    `static int` | `JJTCONSTRUCTQUERY`
    `static int` | `JJTDATATYPE`
    `static int` | `JJTEDGE`
    `static int` | `JJTEXISTS`
    `static int` | `JJTFROM`
    `static int` | `JJTFUNCTIONCALL`
    `static int` | `JJTGRAPHINTERSECT`
    `static int` | `JJTGRAPHMINUS`
    `static int` | `JJTGRAPHUNION`
    `static int` | `JJTIN`
    `static int` | `JJTINLIST`
    `static int` | `JJTISBNODE`
    `static int` | `JJTISLITERAL`
    `static int` | `JJTISRESOURCE`
    `static int` | `JJTISURI`
    `static int` | `JJTLABEL`
    `static int` | `JJTLANG`
    `static int` | `JJTLANGMATCHES`
    `static int` | `JJTLIKE`
    `static int` | `JJTLIMIT`
    `static int` | `JJTLITERAL`
    `static int` | `JJTLOCALNAME`
    `static int` | `JJTNAMESPACE`
    `static int` | `JJTNAMESPACEDECL`
    `static int` | `JJTNODE`
    `static int` | `JJTNODEELEM`
    `static String[]` | `jjtNodeName`
    `static int` | `JJTNOT`
    `static int` | `JJTNULL`
    `static int` | `JJTOFFSET`
    `static int` | `JJTOPTPATHEXPR`
    `static int` | `JJTOPTPATHEXPRTAIL`
    `static int` | `JJTOR`
    `static int` | `JJTORDERBY`
    `static int` | `JJTORDEREXPR`
    `static int` | `JJTPATHEXPRLIST`
    `static int` | `JJTPATHEXPRUNION`
    `static int` | `JJTPROJECTIONELEM`
    `static int` | `JJTQNAME`
    `static int` | `JJTQUERYBODY`
    `static int` | `JJTQUERYCONTAINER`
    `static int` | `JJTREGEX`
    `static int` | `JJTREIFIEDSTAT`
    `static int` | `JJTSAMETERM`
    `static int` | `JJTSELECT`
    `static int` | `JJTSELECTQUERY`
    `static int` | `JJTSTR`
    `static int` | `JJTSTRING`
    `static int` | `JJTTUPLEINTERSECT`
    `static int` | `JJTTUPLEMINUS`
    `static int` | `JJTTUPLEUNION`
    `static int` | `JJTURI`
    `static int` | `JJTVAR`
    `static int` | `JJTVOID`
    `static int` | `JJTWHERE`

- - ### Field Detail

    - #### JJTQUERYCONTAINER

          static final int JJTQUERYCONTAINER

      See Also:
        Constant Field Values

    - #### JJTVOID

          static final int JJTVOID

      See Also:
        Constant Field Values

    - #### JJTNAMESPACEDECL

          static final int JJTNAMESPACEDECL

      See Also:
        Constant Field Values

    - #### JJTTUPLEUNION

          static final int JJTTUPLEUNION

      See Also:
        Constant Field Values

    - #### JJTTUPLEMINUS

          static final int JJTTUPLEMINUS

      See Also:
        Constant Field Values

    - #### JJTTUPLEINTERSECT

          static final int JJTTUPLEINTERSECT

      See Also:
        Constant Field Values

    - #### JJTGRAPHUNION

          static final int JJTGRAPHUNION

      See Also:
        Constant Field Values

    - #### JJTGRAPHMINUS

          static final int JJTGRAPHMINUS

      See Also:
        Constant Field Values

    - #### JJTGRAPHINTERSECT

          static final int JJTGRAPHINTERSECT

      See Also:
        Constant Field Values

    - #### JJTSELECTQUERY

          static final int JJTSELECTQUERY

      See Also:
        Constant Field Values

    - #### JJTSELECT

          static final int JJTSELECT

      See Also:
        Constant Field Values

    - #### JJTPROJECTIONELEM

          static final int JJTPROJECTIONELEM

      See Also:
        Constant Field Values

    - #### JJTCONSTRUCTQUERY

          static final int JJTCONSTRUCTQUERY

      See Also:
        Constant Field Values

    - #### JJTCONSTRUCT

          static final int JJTCONSTRUCT

      See Also:
        Constant Field Values

    - #### JJTQUERYBODY

          static final int JJTQUERYBODY

      See Also:
        Constant Field Values

    - #### JJTFROM

          static final int JJTFROM

      See Also:
        Constant Field Values

    - #### JJTWHERE

          static final int JJTWHERE

      See Also:
        Constant Field Values

    - #### JJTORDERBY

          static final int JJTORDERBY

      See Also:
        Constant Field Values

    - #### JJTLIMIT

          static final int JJTLIMIT

      See Also:
        Constant Field Values

    - #### JJTOFFSET

          static final int JJTOFFSET

      See Also:
        Constant Field Values

    - #### JJTPATHEXPRLIST

          static final int JJTPATHEXPRLIST

      See Also:
        Constant Field Values

    - #### JJTPATHEXPRUNION

          static final int JJTPATHEXPRUNION

      See Also:
        Constant Field Values

    - #### JJTBASICPATHEXPR

          static final int JJTBASICPATHEXPR

      See Also:
        Constant Field Values

    - #### JJTOPTPATHEXPR

          static final int JJTOPTPATHEXPR

      See Also:
        Constant Field Values

    - #### JJTBASICPATHEXPRTAIL

          static final int JJTBASICPATHEXPRTAIL

      See Also:
        Constant Field Values

    - #### JJTOPTPATHEXPRTAIL

          static final int JJTOPTPATHEXPRTAIL

      See Also:
        Constant Field Values

    - #### JJTEDGE

          static final int JJTEDGE

      See Also:
        Constant Field Values

    - #### JJTNODE

          static final int JJTNODE

      See Also:
        Constant Field Values

    - #### JJTNODEELEM

          static final int JJTNODEELEM

      See Also:
        Constant Field Values

    - #### JJTREIFIEDSTAT

          static final int JJTREIFIEDSTAT

      See Also:
        Constant Field Values

    - #### JJTORDEREXPR

          static final int JJTORDEREXPR

      See Also:
        Constant Field Values

    - #### JJTOR

          static final int JJTOR

      See Also:
        Constant Field Values

    - #### JJTAND

          static final int JJTAND

      See Also:
        Constant Field Values

    - #### JJTBOOLEANCONSTANT

          static final int JJTBOOLEANCONSTANT

      See Also:
        Constant Field Values

    - #### JJTNOT

          static final int JJTNOT

      See Also:
        Constant Field Values

    - #### JJTBOUND

          static final int JJTBOUND

      See Also:
        Constant Field Values

    - #### JJTSAMETERM

          static final int JJTSAMETERM

      See Also:
        Constant Field Values

    - #### JJTISRESOURCE

          static final int JJTISRESOURCE

      See Also:
        Constant Field Values

    - #### JJTISLITERAL

          static final int JJTISLITERAL

      See Also:
        Constant Field Values

    - #### JJTISURI

          static final int JJTISURI

      See Also:
        Constant Field Values

    - #### JJTISBNODE

          static final int JJTISBNODE

      See Also:
        Constant Field Values

    - #### JJTLANGMATCHES

          static final int JJTLANGMATCHES

      See Also:
        Constant Field Values

    - #### JJTREGEX

          static final int JJTREGEX

      See Also:
        Constant Field Values

    - #### JJTEXISTS

          static final int JJTEXISTS

      See Also:
        Constant Field Values

    - #### JJTCOMPARE

          static final int JJTCOMPARE

      See Also:
        Constant Field Values

    - #### JJTCOMPAREANY

          static final int JJTCOMPAREANY

      See Also:
        Constant Field Values

    - #### JJTCOMPAREALL

          static final int JJTCOMPAREALL

      See Also:
        Constant Field Values

    - #### JJTLIKE

          static final int JJTLIKE

      See Also:
        Constant Field Values

    - #### JJTIN

          static final int JJTIN

      See Also:
        Constant Field Values

    - #### JJTINLIST

          static final int JJTINLIST

      See Also:
        Constant Field Values

    - #### JJTCOMPOPERATOR

          static final int JJTCOMPOPERATOR

      See Also:
        Constant Field Values

    - #### JJTVAR

          static final int JJTVAR

      See Also:
        Constant Field Values

    - #### JJTDATATYPE

          static final int JJTDATATYPE

      See Also:
        Constant Field Values

    - #### JJTLANG

          static final int JJTLANG

      See Also:
        Constant Field Values

    - #### JJTLABEL

          static final int JJTLABEL

      See Also:
        Constant Field Values

    - #### JJTNAMESPACE

          static final int JJTNAMESPACE

      See Also:
        Constant Field Values

    - #### JJTLOCALNAME

          static final int JJTLOCALNAME

      See Also:
        Constant Field Values

    - #### JJTSTR

          static final int JJTSTR

      See Also:
        Constant Field Values

    - #### JJTFUNCTIONCALL

          static final int JJTFUNCTIONCALL

      See Also:
        Constant Field Values

    - #### JJTARGLIST

          static final int JJTARGLIST

      See Also:
        Constant Field Values

    - #### JJTURI

          static final int JJTURI

      See Also:
        Constant Field Values

    - #### JJTQNAME

          static final int JJTQNAME

      See Also:
        Constant Field Values

    - #### JJTBNODE

          static final int JJTBNODE

      See Also:
        Constant Field Values

    - #### JJTLITERAL

          static final int JJTLITERAL

      See Also:
        Constant Field Values

    - #### JJTSTRING

          static final int JJTSTRING

      See Also:
        Constant Field Values

    - #### JJTNULL

          static final int JJTNULL

      See Also:
        Constant Field Values

    - #### jjtNodeName

          static final String[] jjtNodeName

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.